Skip to main content
GET
/
invoice_groups
/
{invoice_group_id}
Get information of an invoice group
curl --request GET \
  --url https://api.togai.com/invoice_groups/{invoice_group_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "inv_group.20rvWRxQcQK.0ZwPG",
  "name": "Invoice Group 1",
  "dailyInvoiceConsolidation": true,
  "accountsCount": 2,
  "accounts": [
    "ACC0001",
    "ACC0002"
  ],
  "gracePeriod": 3,
  "netTermDays": 45,
  "invoiceCurrency": "USD",
  "billingAddress": {
    "phoneNumber": "+919876543210",
    "line1": "2281 Broadway Street",
    "line2": "G-31",
    "postalCode": "29501",
    "city": "Florence",
    "state": "South Carolina",
    "country": "US",
    "nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_group_id
string
required
Maximum string length: 512
Example:

"inv_grp.20rqjgFJf2O.ejl25"

Response

Response to get invoice group request

Invoice group details

id
string
required
name
string
required
email
string
required
dailyInvoiceConsolidation
boolean
required
invoiceCurrency
string
required
billingAddress
object
required

billing address of the customer

accountsCount
integer<int32>
required
Required range: x >= 0
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
accounts
string[]
required
netTermDays
integer<int32>
nextToken
string